%YAML 1.2
---
version: 1.1

proxies:
  description: Proxy configuration
  type: leadership

  title:
    description: Title or Description
    mandatory: false

  color:
    description: Color
    regexp: ^#(?:[0-9a-f]{3}){1,2}$
    default:
      jinja: >-
        #

        {%- for i in range(6) -%}
          {{- '0123456789abcdef' | random -}}
        {%- endfor -%}
      description: random color value
    auto_save: true
...
